/* -------------------------------------------------------------------------- */
/*                                  Libraries                                 */
/* -------------------------------------------------------------------------- */
import React from "react";
/* -------------------------------------------------------------------------- */
/*                                    Hooks                                   */
/* -------------------------------------------------------------------------- */
import { useTranslation } from "react-i18next";
import { useNavigate } from "react-router-dom";
/* -------------------------------------------------------------------------- */
/*                                 Components                                 */
import Button from "components/controls/Button";
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/*                                    Misc                                    */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/*                                    Icons                                   */
/* -------------------------------------------------------------------------- */
import { ReactComponent as SVGBackIcon } from "assets/svg/backstab.svg";
/* -------------------------------------------------------------------------- */
/*                     Account information management page                    */
/* -------------------------------------------------------------------------- */
/**
 * Account information management page
 * @return {JSX.Element}
 */
const NoMatch = (): JSX.Element => {
  const { t } = useTranslation();
  const navigate = useNavigate();
  return (
    <div className="flex flex-col items-center justify-center h-screen">
      <div className="font-bold text-6xl text-gray-500">404</div>
      <div className="font-bold text-3xl mb-10">Page Not Found</div>
      <div className="font-thin text-xl mb-10">{t('serv.noSuchPath')}</div>
      <Button
        iconed={true}
        htmlType="button"
        variant="blue"
        onClick={() =>
          navigate("/", {
            replace: true,
          })
        }
      >
        <div className="flex items-center space-x-3">
          <div className="flex-none w-6 h-6">
            <SVGBackIcon className="w-full h-full stroke-current opacity-60" />
          </div>
          <div className="flex-1">{t("serv.goHome")}</div>
        </div>
      </Button>
    </div>
  );
};

export default NoMatch;
